//
//  Update.swift
//  TTTKit
//
//  Created by Shadowfacts on 12/21/22.
//

import Foundation
import GameKit

class Update: NSObject, GKGameModelUpdate {
    let mark: Mark
    let subBoard: (column: Int, row: Int)
    let column: Int
    let row: Int
    
    init(mark: Mark, subBoard: (Int, Int), column: Int, row: Int) {
        self.mark = mark
        self.subBoard = subBoard
        self.column = column
        self.row = row
    }
    
    var value: Int = 0
}
